# POST /upload/ Source: https://docs.appsend.dev/api-reference/endpoint/upload Upload an Ipa or Apk build To upload a build, use the following endpoint: ``` https://api.appsend.dev/v1/uploads/ ``` Note the required **trailing slash**. ## Request data Content-type: **multipart/form-data** Build file (.apk or .ipa). Max size: **150mb** Build description message Comma-separated emails of users that will be invited to test a build. Max **5 emails** ```bash cUrl theme={null} curl https://api.appsend.dev/v1/uploads/ \ -F file=@build.ipa \ -F message="Short build description" \ -F testers="tester_1@example.com, tester_2@example.com" ``` ```Python Python theme={null} import requests url = 'https://api.appsend.dev/v1/uploads/' files = {'file': open('build.ipa', 'rb')} data = { 'message': 'Short build description', 'testers': 'tester_1@example.com, tester_2@example.com' } response = requests.post(url, files=files, data=data) data = response.json() print(f"Install url: https://appsend.dev/i/{data['uid']}") ``` ## Response Uid of build, used to derive install url Name of the uploaded file Size of uploaded build **in bytes** Date and time of upload Optional build description message Optional list of testers' emails that were invited ```json Response example theme={null} { "uid":"0a99e402-f160-4224-948d-e9e95386506d", "fileName":"build.ipa", "fileSize":11492275, "fileType":"ipa", "createdAt":"2024-01-20T20:02:30.861700", "message":"Added new uploads feature", "testers":[ "tester_1@example.com" ] } ``` # Introduction Source: https://docs.appsend.dev/introduction Welcome to **AppSend**! ### Overview Our goal here is to help you share development builds as easy as humanly possible. All it takes is 3 easy steps: Step 1 ### Limits for anonymous uploads * Max build size - **150mb** * Build retention - **48 hours** ### Upload using API Check [upload endpoint](https://docs.appsend.dev/api-reference/endpoint/upload) to see how to upload a build. To get sharable url from returned object, use the following template: ```bash theme={null} https://appsend.dev/i/{build_uid} ``` ### More to come We are working on adding team accounts with higher limits, history of uploaded builds and a generous free tier. Sign up for updates if you are interested!